Game1.Preload = function(game){};
Game1.Preload.prototype = {
  preload: function() {
  
var xmlplain = '<font><info face="Segment7" size="100" bold="0" italic="0" charset="" unicode="1" stretchH="100" smooth="1" aa="1" padding="0,0,0,0" spacing="1,1" outline="0"/><common lineHeight="100" base="80" scaleW="256" scaleH="256" pages="1" packed="0" alphaChnl="1" redChnl="0" greenChnl="0" blueChnl="0"/><pages><page id="0" file="font_0_0.png" /></pages><chars count="11"><char id="32" x="250" y="0" width="1" height="100" xoffset="0" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="48" x="0" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="49" x="192" y="101" width="12" height="100" xoffset="41" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="50" x="50" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="51" x="100" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="52" x="98" y="101" width="47" height="100" xoffset="6" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="53" x="0" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="54" x="49" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="55" x="146" y="101" width="45" height="100" xoffset="8" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="56" x="150" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="57" x="200" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /></chars></font>';
    //show loading screen
   this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
    this.preloadBar.anchor.setTo(0.5);
    this.load.setPreloadSprite(this.preloadBar);
    //var cacheKey = Phaser.Plugin.Tiled.utils.cacheKey;
    this.load.image('bg', 'img/OB_main_background.jpg');
    this.load.image('bg_ingame', 'img/OB_main_background.jpg');  
    this.load.image('sponsors', 'img/sponsorzy.png');  
    this.load.image('title', 'img/OB_main_tytul.png');
    this.load.image('pomocnik', 'img/OB_main_przewodnik.png');
    this.load.spritesheet('play_button', 'img/OB_main_button_play.png',215,215,3); 
   // this.load.spritesheet('speaker', 'img/speaker1.png',115,115);
    this.load.spritesheet('help', 'img/OB_memory_button_info.png', 133,133);  
    //this.load.spritesheet('arrow','img/strzalki.png', 75,73);
    this.load.image('guiPomocnik_good', 'img/OB_sklepy_przewodnik1.png');
    this.load.image('guiPomocnik_bad', 'img/OB_sklepy_przewodnik2.png');  
    this.load.image('Finish', 'img/OB_sklepy_dymek.png');
    this.load.image('book', 'img/OB_book.png');  
    
    this.load.spritesheet('p_1', 'img/OB_I_4_p_01.png', 370,160);
    this.load.spritesheet('p_2', 'img/OB_I_4_p_02.png', 370,160);
    this.load.spritesheet('p_3', 'img/OB_I_4_p_03.png', 370,160);
    this.load.spritesheet('p_4', 'img/OB_I_4_p_04.png', 370,160);
    this.load.spritesheet('p_5', 'img/OB_I_4_p_05.png', 370,160);
    this.load.spritesheet('p_6', 'img/OB_I_4_p_06.png', 370,160);
    this.load.spritesheet('p_7', 'img/OB_I_4_p_07.png', 370,160);
    this.load.spritesheet('p_8', 'img/OB_I_4_p_08.png', 370,160);
    this.load.spritesheet('p_9', 'img/OB_I_4_p_09.png', 370,160);
      
    this.load.image('1_1', 'img/OB_I_4_01.png', 480, 480);  
    this.load.image('2_1', 'img/OB_I_4_02.png', 480, 480);  
    this.load.image('3_1', 'img/OB_I_4_03.png', 480, 480);  
    this.load.image('4_1', 'img/OB_I_4_04.png', 480, 480);  
    this.load.image('5_2', 'img/OB_I_4_05.png', 480, 480);  
    this.load.image('6_4', 'img/OB_I_4_06.png', 480, 480);
    this.load.image('7_4', 'img/OB_I_4_07.png', 480, 480);  
    this.load.image('8_8', 'img/OB_I_4_08.png', 480, 480);  
    this.load.image('9_4', 'img/OB_I_4_09.png', 480, 480);
    this.load.image('10_2', 'img/OB_I_4_10.png', 480, 480);
    this.load.image('11_7', 'img/OB_I_4_11.png', 480, 480);  
    this.load.image('12_2', 'img/OB_I_4_12.png', 480, 480);
    this.load.image('13_2', 'img/OB_I_4_13.png', 480, 480);  
    this.load.image('14_2', 'img/OB_I_4_14.png', 480, 480);
    this.load.image('15_7', 'img/OB_I_4_15.png', 480, 480);  
    this.load.image('16_5', 'img/OB_I_4_16.png', 480, 480);  
    this.load.image('17_5', 'img/OB_I_4_17.png', 480, 480);
    this.load.image('18_9', 'img/OB_I_4_18.png', 480, 480);
    this.load.image('19_3', 'img/OB_I_4_19.png', 480, 480);  
    this.load.image('20_5', 'img/OB_I_4_20.png', 480, 480);  
    this.load.image('21_3', 'img/OB_I_4_21.png', 480, 480);
    this.load.image('22_6', 'img/OB_I_4_22.png', 480, 480);  
    this.load.image('23_8', 'img/OB_I_4_23.png', 480, 480);  
 //   this.load.image('21', 'img/OB_I_4_14.png', 480, 480);       
/*    this.load.spritesheet('5', 'img/OB_I_4_p_05.png', 370,160);  
    this.load.spritesheet('6', 'img/OB_I_4_p_06.png', 370,160);
    this.load.spritesheet('7', 'img/OB_I_4_p_07.png', 370,160);  
    this.load.spritesheet('8', 'img/OB_I_4_p_08.png', 370,160);  
    this.load.spritesheet('9', 'img/OB_I_4_p_09.png', 370,160);*/
      //this.load.image('regal1', 'img/OB_sklepy_o_2_regal.png');  
    
   
    this.load.bitmapFont('font_0', 'font/font_0_0.png',null,xmlplain);  
  },    
  create: function() {
    this.state.start('Menu');
  },

};